前端项目打包镜像说明
前提说明：
需要先安装docker服务，以及配置docker. 安装教程
前端2个项目(BI和中台)，打包成2个镜像文件，镜像名称分别是：
BI项目：docker.platomix.net:10000/platomix/frontend-bi:{version}
中台项目：docker.platomix.net:10000/platomix/frontend-mcp:{version}
【注意】version 根据情况设置，比如：1.0.0-yanxiang等等
1. 首先登录docker私服
   docker login -u platomix docker.platomix.net:10000 用户名密码：platomix / Harbor@123

2. 如果没有下载nginx基础镜像，先下载
   docker pull docker.platomix.net:10000/module/nginx:1.23

3. 把VUE打包后的静态文件内容放到dist目录中
   需要打包BI镜像，就把BI打包后的内容放到dist目录；打包中台镜像类同。

4. 执行下面的镜像打包命令
   【注意】{version} 根据情况替换为具体的值，比如：1.0.0-yanxiang

BI项目打包镜像命令【注意最后一个点号】：
docker build -t docker.platomix.net:10000/platomix/frontend-bi:{version} .
中台项目打包镜像命令【注意最后一个点号】：
docker build -t docker.platomix.net:10000/platomix/frontend-mcp:{version} .

5. 推送到私服
   【注意】{version} 根据情况替换为具体的值，比如：1.0.0-yanxiang
   BI项目推送私服名称：
   docker push docker.platomix.net:10000/platomix/frontend-bi:{version}
   中台项目推送私服名称：
   docker push docker.platomix.net:10000/platomix/frontend-mcp:{version}
