import request from '/@/utils/request';
const baseUrl=`/api/Manage/Batchs`
/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * (get传参用params, post传参用data)
 * 批次管理api接口集合
 */

// 获取批次列表
export function getBatchListApi(params: any) {
  return request({
    url:baseUrl,
    method:'get',
    params
  })
}

// 删除批次
export function delBatchApi(batchId: number) {
  return request({
    url:baseUrl+`/${batchId}`,
    method:'delete'
  })
}

// 下载量产信息
export function batchDownApi(batchId: any) {
  return request({
    url:baseUrl+`/${batchId}`,
    method:'get'
  })
}

// 状态统计
export function addBatchApi(data:any) {
  return request({
    url:baseUrl+`/Agg`,
    method:'post',
    data
  })
}


