import request from '/@/utils/request';

const baseUrl=`/api/Manage/System/OperateLog`
/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 * (get传参用params, post传参用data)
 * 设备管理api接口集合
 */

// 日志列表展示筛选
export function getLogList(params: any) {
  return request({
    url:baseUrl,
    method:'get',
    params
  })
}

// 添加日志
export function addLogList(data: any) {
  return request({
    url:baseUrl,
    method:'post',
    data
  })
}
// 修改日志
export function editLogList(data: any) {
  return request({
    url:baseUrl,
    method:'put',
    data
  })
}
