import request from "@/utils/request";
import config from "@/utils/config";
const prefix = config.bigdataPrefix

//分页查询自定义组件
export const creatorList = params => request.get(prefix + '/visual/manage/VisualCreateNames', {params});
// 大屏列表
export const visualList = params => request.get(prefix + '/visual/manage/page', {params});
// 大屏启用禁用
export const visualToggle = data => request.post(prefix + '/visual/manage/enable', data);
// 大屏审核
export const visualReview = data => request.post(prefix + '/visual/manage/review', data);
// 大屏审核记录
export const visualReviewRecord = id => request.get(prefix + `/visual/manage/VisualReviewLogs/${id}`,);

